libqtest-ocaml-dev_2.9-2_i386.deb


Advertisement

Description

libqtest-ocaml-dev - Inline (Unit) Tests for OCaml (Development package)

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libqtest-ocaml-dev_2.9-2_i386.deb
Package name libqtest-ocaml-dev
Package version 2.9
Package release 2
Package architecture i386
Package type deb
Category ocaml
Homepage https://github.com/vincent-hugot/qtest
License -
Maintainer Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Download size 4.21 KB
Installed size 28.00 KB
qtest extracts inline unit tests written using a special syntax in
comments. Those tests are then run using the oUnit framework and the
qcheck library. The possibilities range from trivial tests -- extremely
simple to use -- to sophisticated random generation of test cases.

Alternatives

Package Version Architecture Repository
libqtest-ocaml-dev_2.9-2_amd64.deb 2.9 amd64 Debian Main
libqtest-ocaml-dev - - -

Requires

Name Value
libqtest-ocaml-2ia70 -

Provides

Name Value
libqtest-ocaml-dev-2ia70 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libqtest-ocaml-dev_2.9-2_i386.deb
Source Package ocaml-qtest

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libqtest-ocaml-dev deb package:
    # sudo apt-get install libqtest-ocaml-dev

Files

Path
/usr/lib/ocaml/qtest/lib/qtest.lib.dune
/usr/lib/ocaml/qtest/lib/qtestlib.a
/usr/lib/ocaml/qtest/lib/qtestlib.cmi
/usr/lib/ocaml/qtest/lib/qtestlib.cmt
/usr/lib/ocaml/qtest/lib/qtestlib.cmx
/usr/lib/ocaml/qtest/lib/qtestlib.cmxa
/usr/lib/ocaml/qtest/lib/qtestlib.ml
/usr/share/doc/libqtest-ocaml-dev/changelog.Debian.gz
/usr/share/doc/libqtest-ocaml-dev/copyright
/var/lib/ocaml/lintian/libqtest-ocaml-dev.META.qtest
/var/lib/ocaml/lintian/libqtest-ocaml-dev.info
/var/lib/ocaml/md5sums/libqtest-ocaml-dev.md5sums

Changelog

2018-12-30 - Andy Li <andy@onthewings.net>
ocaml-qtest (2.9-2) unstable; urgency=medium
* Update install files for a change in dune. (Closes: #917737)
* Bump Standards-Version to 4.3.0 (no changes).
2018-09-05 - Andy Li <andy@onthewings.net>
ocaml-qtest (2.9-1) unstable; urgency=medium
* Initial release. (Closes: #908003)

See Also

Package Description
libqtest-ocaml-doc_2.9-2_all.deb Documentation for ocaml-qtest
libqtest-ocaml_2.9-2_i386.deb Inline (Unit) Tests for OCaml (Runtime library)
libqtexengine-dev_0.3-3_i386.deb Development files for the QTeXEngine library
libqtexengine1_0.3-3_i386.deb Library to export graphics created using QPainter to TeX
libqtgui4_4.8.7+dfsg-18_i386.deb Qt 4 GUI module
libqtpropertybrowser-dev_4.1.2-3_i386.deb Qt Property Browser Library - development
libqtpropertybrowser4_4.1.2-3_i386.deb Qt Property Browser Library - runtime
libqtshadowsocks-dev_2.1.0-2+b1_i386.deb Development files of libQtShadowsocks
libqtshadowsocks2_2.1.0-2+b1_i386.deb Lightweight and ultra-fast shadowsocks library written in C++/Qt
libqtspell-qt5-0_0.8.5-1_i386.deb Spell checking for Qt5 text widgets
libqtspell-qt5-dev_0.8.5-1_i386.deb Development files for libqtspell-qt5
libqtspell-qt5-html_0.8.5-1_all.deb Spell checking for Qt5 text widgets
libqtwebkit-dev_2.3.4.dfsg-10_i386.deb Web content engine library for Qt - development files
libqtwebkit-qmlwebkitplugin_2.3.4.dfsg-10_i386.deb Qt WebKit QML plugin
libqtwebkit4_2.3.4.dfsg-10_i386.deb Web content engine library for Qt
Advertisement
Advertisement